package com.njcn.user.enums;

import lombok.Getter;

/**
 * @author hongawen
 * @version 1.0.0
 * @createTime 2021年05月25日 15:40
 */
@Getter
public enum UserStatusEnum {

    /**
     * 用户状态0：删除；1：正常；2：锁定；3：待审核；4：休眠；5：密码过期
     */
    DESTROY(0, "用户已注销"),
    NORMAL(1, "正常"),
    LOCKED(2, "用户已经被锁定"),
    UNCHECK(3, "用户未审核"),
    SLEEP(4, "用户已休眠"),
    OVERDUE(5, "用户密码已经过期");

    private final int code;

    private final String message;

    UserStatusEnum(int code, String message) {
        this.code=code;
        this.message=message;
    }

}
